Gets a paginated list of audit logs

Prev Next
Get
/api/audit/v1/logs
Security
HTTP
Type bearer
Query parameters
timezone
string

Apply timezone to audit logs

Default"UTC"
ExampleAsia/Kolkata
actor
string

Filter audit logs by actor. The value is username/loginname.

action
array of string

Filter audit logs by action.

ExampleUSER_CREATE
targetType
array of string

Filter audit logs by type of target.

ExampleUSER
target
string

Filter audit logs by particular target. It is an objectGUID of the organization,user,device,connection,group,authdomain

targetOrgId
string

Filter audit logs by target org id.

size
integer

The number of records to return per page, The default size is 25

Default25
page
integer

The page number. The page number start from 1

Default1
orgId
string

Filter audit logs by actor org id.

sort
array of string

Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['action', 'actor', 'targetType', 'whenCreated']

DefaultwhenCreated:DESC
Example[ "action:asc" ]
from
string

The earliest date to search in audit logs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-11-18T10:50:35+0000
to
string

The latest date to search in audit logs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-11-18T10:50:35+0000
siteId
string

The ID of a particular site to filter

Responses
200

A list of all audit logs

Expand All
object
authorization
boolean
data
object
page
integer
results
Array of object (AuditLogResponse)
object
action
string
actor
object
type
string
user
object
mail
string
name
string
objectGUID
string
userName
string
actorOrganization
object
name
string
objectGUID
string
client
object
ipAddress
string
userAgent
string
description
string
objectGUID
string
target
object
target
string
type
string
targetOrganization
object
id
string
name
string
whenCreated
string
size
integer
totalCount
integer
totalPage
integer
error_code
integer
error_message
string
error_status
boolean
Examplefalse
401

Unauthorized

object
error_code
integer
error_message
string
error_status
boolean
500

Could not get audit logs - Internal Server Error

object
authorization
boolean
data
Array of string
Example[]
string
error_code
integer | null
error_message
string | null
error_status
boolean